Planning upgrade Alfresco community 5.0.b to 6.2

cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Active Member II

Planning upgrade Alfresco community 5.0.b to 6.2

Jump to solution

Hi all,

My environment : Alfresco communitu 5.0.b on premise , server Centos 6.4 , installed all in one by "alfresco-community-5.0.b-installer-linux-x64.bin" .
Installation dir : /opt/alfresco-5.0.b
I actually only use Alfresco content management feature at simple level : upload soft files from scanner to ECM , store and search them later when needed.
I have applied some customizations in /opt/alfresco-5.0.b/tomcat/shared/classes/alfresco-global.properties:
- Authenticate with Active Directory
- Connect to our mail servers
- Use DB Mysql (5.1) and java-1.5.0
- URL : ecm.mydomain.com/share/ (port 80 , not 8080)
- dir.contentstore --> /opt/contentstore (separate from /opt/alfresco-5.0.b/alf_data/contentstore)
May be afew more, I don't remember.

I want to upgrade my ECM to 6.2 , these are my planning steps :

Upgrade path : 5.0.b --> 5.2 --> 6.0 --> 6.2

Stage 1
- Stop ECM services
- Backup alfresco database and contentstore
- Install Alfresco 5.2 on differrent path : /opt/alfresco-5.2 , db alfresco-new , new contentstore
- Apply customizations from old ECM to the new one (except dir.contentstore and db settings)
- Start Alfresco 5.2 services and validate features if it work ok

Stage 2 (if Stage 1 done well)
- Stop Alfresco 5.2 services
- Change Alfresco 5.2 alfresco-global.properties dir.contentstore and db settings to old ECM 5.0.b
- Start Alfresco 5.2 services and validate features if it work ok

Please give me some advices , thank you very much.

4 Solutions

Accepted Solutions
Highlighted
Advanced

Re: Planning upgrade Alfresco community 5.0.b to 6.2

Jump to solution

1.Direct upgrades to acs 6.2 are supported from 5.1.x and later, so your upgrade path can be just 5.0.b --> 5.2  --> 6.2.
2.Solr4 is not recommended in alfresco 6.X,you should use alfresco search servcie instead. So during upgrade to 5.2,you can upgrade to solr6 directly(you don't need to copy solr4 index,because a reindex is required). in this way when upgrade to acs6.2 from acs5.2,you dont' need to upgrade solr any more .About how to upgrade to search servcie please  refer to https://docs.alfresco.com/5.2/concepts/solr6-home.html.
3.For JDK and mysql I suggest you upgrade to to version that alfresco recommended.

View solution in original post

Highlighted
Advanced

Re: Planning upgrade Alfresco community 5.0.b to 6.2

Jump to solution

After 6.x alfresco don't provide a full installer any more ,docker is recommended.
You can try to install it manually
Plese refer to
http://beecon.buzz/2017/assets/files/EF09/EF09-Installing-Alfresco-components-1-by-1.pdf
and
https://docs.alfresco.com/community/concepts/install-community-intro.html

View solution in original post

Highlighted
Advanced

Re: Planning upgrade Alfresco community 5.0.b to 6.2

Jump to solution
As far as I know there is not any easy way to install T-egines outside docker.
T-egine is developed using spring boot ,if you don't want to install it using docker ,the only option is to install the spring boot jar and imagemagic/openoffice.. manually.
Now you can turn it off  by setting following in your alfresco global properties.
local.transform.service.enabled=false
For fixing the cache problem
Increase the cache size parameter. Add/edit cacheMaxSize within the Context XML element of your $CATALINA_BASE/conf/context.xml. The Resources component inside the <Context block
<Resources
    cachingAllowed="true"
    cacheMaxSize="100000"
/>

View solution in original post

Highlighted
Advanced

Re: Planning upgrade Alfresco community 5.0.b to 6.2

Jump to solution
you also need to config alfresco endpoint int share-config-custom.xml。
Please refer to 

View solution in original post

24 Replies
Highlighted
Community Manager
Community Manager

Re: Planning upgrade Alfresco community 5.0.b to 6.2

Jump to solution

Hi @jack_chuong 

Here are some threads that might be worth reading to sanity check your process. Upgrade 5 to 6. Upgrade 5 to 6.2 Docker. Another approach

HTH,

Digital Community Manager, Alfresco Software.
Problem solved? Click Accept as Solution!
Highlighted
Active Member II

Re: Planning upgrade Alfresco community 5.0.b to 6.2

Jump to solution

Hi Eddie, thanks for your reply

I have read all your threads , I just want to make sure , do you think my plan is ok ?
Do I have to copy "/opt/alfresco-5.0.b/alf_data/solr4" to the new one 5.2 so it doesn't have to rebuild full index ?
I will try to upgrade this weekend , if it works, I will try to upgrade to 6.0 then 6.2 next week , but do I have to upgrade mysql and java also ? As "Supported Platforms" says Alfresco 6.2 use MySQL 5.7.23 (mysql-connector-java-5.1.40-bin.jar) and OpenJDK 11

Highlighted
Advanced

Re: Planning upgrade Alfresco community 5.0.b to 6.2

Jump to solution

1.Direct upgrades to acs 6.2 are supported from 5.1.x and later, so your upgrade path can be just 5.0.b --> 5.2  --> 6.2.
2.Solr4 is not recommended in alfresco 6.X,you should use alfresco search servcie instead. So during upgrade to 5.2,you can upgrade to solr6 directly(you don't need to copy solr4 index,because a reindex is required). in this way when upgrade to acs6.2 from acs5.2,you dont' need to upgrade solr any more .About how to upgrade to search servcie please  refer to https://docs.alfresco.com/5.2/concepts/solr6-home.html.
3.For JDK and mysql I suggest you upgrade to to version that alfresco recommended.

View solution in original post

Highlighted
Active Member II

Re: Planning upgrade Alfresco community 5.0.b to 6.2

Jump to solution

Hi kaynezhang, thank you for your upgrade search service link.

I will install Alfresco 5.2 on new server Centos 7 , mysql 5.7 and java 1.8 (to avoid conflick mysql and java version) , apply customizations , upgrade solr6 and migrate mysql db from old Alfresco 5.0.b to the new one (alf_data contentstore acttually just a NFS mount point from NAS device) , will update to you later.

Highlighted
Active Member II

Re: Planning upgrade Alfresco community 5.0.b to 6.2

Jump to solution

Hi all,

I upgraded to 5.2 last week successfully , but the "alfresco search service" not working , I can see my files but search file name 0 - results found.
solr4 has been disabled , removed indexes
solr6 has been installed and started (without SSL)

/opt/alfresco-search-services/solrhome/alfresco/conf/solrcore.properties

alfresco.port=80


/opt/alfresco-community/tomcat/shared/classes/alfresco-global.properties

dir.root=/opt/alfresco-community/alf_data
dir.contentstore=/opt/contentstore

alfresco.context=alfresco
alfresco.host=ecm.mydomain.com
alfresco.port=80
alfresco.protocol=http

share.context=share
share.host=ecm.mydomain.com
share.port=80
share.protocol=http

### Solr indexing ###
#index.subsystem.name=solr4
#dir.keystore=${dir.root}/keystore
solr.host=localhost
#solr.port.ssl=8443

index.subsystem.name=solr6
solr.secureComms=none
solr.port=8983

How can I check if solr6 works ? I can access to admin console : "http://ecm.mydomain.com/alfresco/service/admin/admin-communitysummary" , but there is no Repository Services section or Search Service (because I'm using community version, I guess)

 

Highlighted
Advanced

Re: Planning upgrade Alfresco community 5.0.b to 6.2

Jump to solution
Please visit http://localhost:8983/solr/#/alfresco to check if you can see something like this
QQ图片20201012104020.png
if you can't it means solr can't not connect to alfresco correctly, you should check solrcore.properties and firewall
If you can it means solr can connect to alfresco and build index correctly,you should check alfresco-global.properties and firewall.
Highlighted
Active Member II

Re: Planning upgrade Alfresco community 5.0.b to 6.2

Jump to solution

Hi kaynezhang,

I have looked into solr.log and see these error:

2020-10-12 01:50:50.109 ERROR (org.alfresco.solr.AlfrescoCoreAdminHandler@7b993c65_Worker-2) [   ] o.a.s.t.AclTracker First acl transaction was not found with the correct timestamp.
2020-10-12 01:50:50.109 ERROR (org.alfresco.solr.AlfrescoCoreAdminHandler@7b993c65_Worker-2) [   ] o.a.s.t.AclTracker SOLR has successfully connected to your repository  however the SOLR indexes and repository database do not match.
2020-10-12 01:50:50.109 ERROR (org.alfresco.solr.AlfrescoCoreAdminHandler@7b993c65_Worker-2) [   ] o.a.s.t.AclTracker If this is a new or rebuilt database your SOLR indexes also need to be re-built to match the database.
2020-10-12 01:50:50.109 ERROR (org.alfresco.solr.AlfrescoCoreAdminHandler@7b993c65_Worker-2) [   ] o.a.s.t.AclTracker You can also check your SOLR connection details in solrcore.properties.
2020-10-12 01:50:50.109 ERROR (org.alfresco.solr.AlfrescoCoreAdminHandler@7b993c65_Worker-2) [   ] o.a.s.t.AbstractTracker Tracking failed for AclTracker - archive
org.alfresco.error.AlfrescoRuntimeException: 091220661 Initial acl transaction not found with correct timestamp
        at org.alfresco.solr.tracker.AclTracker.checkRepoAndIndexConsistency(AclTracker.java:352)
        at org.alfresco.solr.tracker.AclTracker.trackRepository(AclTracker.java:303)
        at org.alfresco.solr.tracker.AclTracker.doTrack(AclTracker.java:95)
        at org.alfresco.solr.tracker.AbstractTracker.track(AbstractTracker.java:215)

I guess that there is something wrong with solr6 so I force it rebuild full index by stop solr6 , remove
/opt/alfresco-search-services/solrhome/alfresco
/opt/alfresco-search-services/solrhome/archive
start solr6 again
it seems running now , I can visit http://localhost:8983/solr/#/alfresco , I cannot upload my screen shot, sorry, I cannot find upload image at editor menu, will update to you later.

 

Highlighted
Advanced

Re: Planning upgrade Alfresco community 5.0.b to 6.2

Jump to solution

If Num docs and Max doc(like following picture) is not 0 ,it means  solr is configured correctly and can index data successfully. All you need to do is to check alfresco configuration.

QQ图片20201012104020.png

Highlighted
Active Member II

Re: Planning upgrade Alfresco community 5.0.b to 6.2

Jump to solution

Yes, it works ok now.
I will upgrade to 6.2 this weekend.
The process is much simpler :
- Stop Alfresco service and backup "/opt/alfresco-community"
- Install 6.2 version , apply customization from 5.2 (/opt/alfresco-community/tomcat/shared/classes/alfresco-global.properties)
- Start Alfresco 6.2